Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

The setting "Time span format" was introduced in Redmine 3.4.0 (#23996) and you can switch the format of time to "minutes",

"HH:MM" style ("0:45 h" instead of "0.75").

The format "minutes" ("0:45 h") is much more natural and easier to understand than the format "decimal" ("0.75"). However, the

default value of "Time span format" is still "decimal", and some users may not know this setting.

Since the minutes format is more natural and convenient for most users, I think it is better to set the "minutes" format as the default

for newly installed Redmine instances.

Related issues:

Related to Redmine - Feature #23996: Introduce a setting to change the displa... Closed

Associated revisions

Revision 21355 - 2022-01-08 05:04 - Go MAEDA

Change the default value for "Time span format" from "decimal" to "minutes" (#36391).

History

#1 - 2022-01-06 08:48 - Go MAEDA

- Related to Feature #23996: Introduce a setting to change the display format of timespans to HH:MM added

#2 - 2022-01-06 17:16 - Holger Just

I support this change of the default setting.

#3 - 2022-01-07 04:03 - Marius BĂLTEANU

- Target version set to 5.0.0

#4 - 2022-01-07 04:59 - Go MAEDA

- Subject changed from Change the default value for "Time span format" from "decimal" to "minute" to Change the default value for "Time span format"

from "decimal" to "minutes"

- Description updated

#5 - 2022-01-07 06:47 - Go MAEDA

- File 36391.patch added

Attaching a patch.

#6 - 2022-01-08 05:04 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

Files
36391.patch 18.1 KB 2022-01-07 Go MAEDA
